Subject: [PATCH v1] ARM: dts: imx6sl-evk: keep sw4 always on

From: [email-masked] (Robin Gong)
Date: Wed, 4 Jul 2018 01:42:54 +0000

On ?, 2018-07-03 at 08:10 -0300, Fabio Estevam wrote:
> Hi Anson,
> 
> On Tue, Jul 3, 2018 at 4:44 AM, Anson Huang <[email-masked]>
> wrote:
> 
> > 
> > It is NOT easy to identify which switch is critical or NOT, and
> > different platforms
> > have different board design, it will introduce many platform
> > specified code, so I think
> > just revert the pfuze100 switch enable/disable patch should be OK
> > for now.
> I have sent the pfuze100 regulator patch revert and it is linux-next
> now. Should probably reach 4.18-rc4.
> 
> > 
> > After a couple of release cycles, add the pfuze100 switch
> > enable/disable patch
> > back to support this feature, I believe users should switch to new
> > dtb with "regulator-always-on"
> > existing already.
> That will still break old dtb compatibility.
> 
> You cannot force users to use "regulator-always-on" and the old dtbs
> need to always work.
> 
> So whatever new feature you need to introduce it needs to be done in
> such a way that the existing dtb's will continue working.
But actually existing dtb is not right since the critical power rail
missing 'regulator-always-on'. It's a fix patch for dts, not related
with following dtb/kernel break rules, just a simple dts patch. Why
should we make promise for the wrong dtbs?